about summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <normalperson@yhbt.net>2011-02-07 19:26:04 -0800
committerEric Wong <normalperson@yhbt.net>2011-02-07 19:26:04 -0800
commit662a146457689110c83bfd18987938475966f454 (patch)
tree40e137a6a2f0cb9fed43a05d6ee99bc31814752b
parenta34b1048d05397f72ad579fcef72cbb1a9e9d8bc (diff)
downloadrainbows-662a146457689110c83bfd18987938475966f454.tar.gz
This will help prevent us from breaking :pool_size in the
future.
-rwxr-xr-xt/t0041-optional-pool-size.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/t/t0041-optional-pool-size.sh b/t/t0041-optional-pool-size.sh
new file mode 100755
index 0000000..63792c3
--- /dev/null
+++ b/t/t0041-optional-pool-size.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+. ./test-lib.sh
+
+case $model in
+NeverBlock|CoolioThreadPool) ;;
+*)
+        t_info "skipping $T since it doesn't support :pool_size"
+        exit
+        ;;
+esac
+
+t_plan 6 "optional :pool_size argument for $model"
+
+t_begin "setup and startup" && {
+        rtmpfiles curl_out curl_err
+        rainbows_setup $model
+}
+
+t_begin "fails with bad :pool_size" && {
+        ed -s $unicorn_config <<EOF
+,s/use :$model/use :$model, :pool_size => -666/
+w
+EOF
+        grep "pool_size" $unicorn_config
+        rainbows -D env.ru -c $unicorn_config || echo err=$? > $ok
+        test x"$(cat $ok)" = "xerr=1"
+}
+
+t_begin "starts with correct :pool_size" && {
+        ed -s $unicorn_config <<EOF
+,s/use :$model.*/use :$model, :pool_size => 6/
+w
+EOF
+        grep "pool_size" $unicorn_config
+        rainbows -D env.ru -c $unicorn_config
+        rainbows_wait_start
+}
+
+t_begin "regular TCP request works right" && {
+        curl -sSfv http://$listen/
+}
+
+t_begin "no errors in stderr" && {
+        check_stderr
+}
+
+t_begin "shutdown" && {
+        kill $rainbows_pid
+}
+
+t_done